• Welcome to Simple Machines Community Forum. Please login or sign up.
October 18, 2021, 01:54:50 AM

News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord


Simple Machines Forum 1.1.5 and 1.0.13 released

Started by Compuart, April 30, 2008, 10:05:25 PM

Previous topic - Next topic

Compuart

April 30, 2008, 10:05:25 PM Last Edit: May 03, 2008, 09:57:49 PM by Oldiesmann
Simple Machines is proud to announce the release of SMF 1.1.5.

This version addresses a few security issues and fixes some small bugs.

We encourage all users to upgrade to SMF 1.1.5 as soon as possible, by either using the fast install option from the admin panel, or manually applying the changes attached to this message.

Among other things, this version fixes the following issues:
* Sanitation of $topic wasn't always done right.
* Increased the randomness of the Captcha sound.
* Require the Memcached version that's compiled into PHP to ensure a better performance.
* Improved the random generator seeding for PHP < 4.2.0 - issue reported by Jessica Hope.
* Fixed a vulnerability with the use of the html-tag - issue reported by Jessica Hope.
* Fixed the CRC function not working properly on 64-bit systems.
* Fixed remembering the infocenter collapse status for guests.
* Don't send the admin a new registration email just because a member changed their email address.


SMF 1.1.4 users:  Upgrading could not be easier. Simply log into your forum and visit your admin center - a notice should inform you an update is available. Follow the instructions to patch your release - this should not generally affect any modifications, language packs or themes you have installed. Alternatively download the attached patch file, upload to your "Packages" directory and visit the package manager to install this fix.

If you cannot upgrade using the package manager, please follow the instructions posted in the Online Manual about installing and upgrading.

SMF 1.0.12 users:  A separate version has been released: 1.0.13. Just like the 1.1.x branch users, you can simply upgrade through the admin center or download and apply the attached patch.

SMF 2.0 beta 3 users: The same goes for members currently running SMF 2.0 beta 3. They can upgrade to SMF 2.0 beta 3.1 through the admin center or by downloading and applying the attached patch.

Finally - please do not use this topic for any support requests. You will get a much more prompt response by visiting the relevant support board!

Thanks,

Simple Machines
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

shadow82x

Colin B
Former Spammer, Customize, & Support Team Member

karlbenson

Cool.  I'll begin applying it proper to my sites now.

jossanaijr


jossanaijr

April 30, 2008, 10:42:48 PM #4 Last Edit: April 30, 2008, 11:23:25 PM by jossanaijr
22.     Execute Modification     ./Sources/Subs-Package.php     Test failed

Is it MOD related?

EDIT: discussing here: http://www.simplemachines.org/community/index.php?topic=236822.0

SleePy

It may be a mod issue. I was able to install the patch just fine on my forum which has a lot of mods itself as well :) But please ask in support forums instead of here.
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf

jesrey.pacoin

just finished my upgrade, and well it works fine. thanks to you guys
:: BisDak World Online :: where bisdak around the world unites...::

!Hachi!

Happy Ramadan

karlbenson

Quote from: jossanaijr on April 30, 2008, 10:42:48 PM
22.     Execute Modification     ./Sources/Subs-Package.php     Test failed

Is it MOD related?
Open ./Sources/Subs-Package.php and  check whether it says
* Software Version:           SMF 1.1.3                                           *
rather than
* Software Version:           SMF 1.1.2                                           *
which the package was expecting.

Thats what a friend had on his install with 1.1.5 that I've just had to fix on that exact file.
Although I didn't have to do that on my own.

aldo

Sweetness! ^__^

Going to update right now

http://digg.com/programming/SMF_1_1_5_and_2_0_Beta_3_1 Couldn't resist ;)

RoarinRow


SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

xyxis_fahim


aldo

Quote from: xyxis_fahim on May 01, 2008, 12:48:20 AM
damn I wish I didn't have upgraded to 2.0 :(
Why? There is a patch attachment to update 2.0 Beta 3 to 2.0 Beta 3.1 ;)

Eliana Tamerin

I'm shocked, I had no need to manually edit any files, even on my heavily modified forum. Best. Upgrade. Ever.

:D
Do NOT PM me for support.

SimplePortal 2.3.6 is OUT!
SimplePortal Project Manager
Download | Docs
SimplePortal: Power of Simplicity!

SleePy

Well I do know that the following mod has to be uninstalled prior to updating to 1.1.5 this is fixed in 1.1.5.
http://custom.simplemachines.org/mods/index.php?mod=976

But the developers do try their best to get around such needs to hopefully work without uninstalling mods or manually applying the patch.
Jeremy D — Site Team / SMF Developer
Support the SMF Support team!
Profiles:GitHub
Join us on IRC Libera.chat/#smf


Eliana Tamerin

Quote from: SleePy on May 01, 2008, 01:24:50 AM
But the developers do try their best to get around such needs to hopefully work without uninstalling mods or manually applying the patch.

And a wonderful job they did.
Do NOT PM me for support.

SimplePortal 2.3.6 is OUT!
SimplePortal Project Manager
Download | Docs
SimplePortal: Power of Simplicity!

[SiNaN]

This was a real surprise. Upgraded without any problems. Thanks for the update.
Former SMF Core Developer | My Mods | SimplePortal

Sabre™

Do NOT give admin and/or ftp details to just anybody, see if they are trust worthy first!!  Do your homework ;)


tugori

Hi!

What about the BRD-Error? Is it fixed also?

Advertisement: